﻿

@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
    <script src="~/ADMIN/JS/persian-date.js"></script>
    <script src="~/ADMIN/JS/persian-datepicker-0.4.5.js"></script>
}

@section Styles{
        <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
    }

<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<LawMingo.Models.DomainModel.Subject>()
      .Name("grid")
      .Columns(columns =>
      {
          columns.Bound(c => c.Image).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayImage(Image, 'Subjects')#"); ;
          columns.Bound(c => c.Icon).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayImage(Icon, 'Subjects')#"); ;
          columns.Bound(c => c.Title);
          columns.Bound(c => c.Color).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayColor(Color)#");
          columns.Bound(c => c.FontColor).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayColor(FontColor)#");
          columns.Command(command => { command.Edit().Text("ویرایش"); command.Destroy().Text("حذف"); }).Width(300);
      })
      .ToolBar(toolbar =>
              {
          toolbar.Create().Text("گروه جدید");
      })
      .ColumnMenu()
        .Editable(editable => editable.Mode(GridEditMode.PopUp).Window(q => q.Width(800)))
        .Pageable(pageable =>
            pageable
            .Refresh(true)
            .Input(true)
            .PageSizes(true)
            .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
        )
      .Navigatable()
      .Selectable(selectable =>
              {
          selectable.Mode(GridSelectionMode.Single);
          selectable.Type(GridSelectionType.Row);
      })
      .Sortable(sortable =>
              {
          sortable.SortMode(GridSortMode.SingleColumn);
      })
      .Filterable()
        .Scrollable(s => s.Height("auto").Enabled(false))
      .DataSource(dataSource => dataSource
          .Ajax()
          .Model(model => model.Id(p => p.SubjectID))
          .Read(read => read.Action("subjects_Read", "Subjects"))
          .Create(create => create.Action("subjects_Create", "Subjects"))
          .Update(update => update.Action("subjects_Update", "Subjects"))
          .Destroy(destroy => destroy.Action("subjects_Destroy", "Subjects"))
      )
    .ClientDetailTemplateId("Details-Template")

        )

    </div>
</div>

<script id="Details-Template" type="text/kendo-tmpl">
    @(Html.Kendo().TabStrip()
                .Name("tabStrip_#=SubjectID#")
                .SelectedIndex(0)
                .TabPosition(TabStripTabPosition.Top)
                .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                .Items(items =>
                {
                #region زیرگروه ها

                items.Add().Text("زیرگروه ها").Content(
                    @<text>
                        @(Html.Kendo().Grid<LawMingo.Models.DomainModel.Subject>()
                                .Name("SubjectChildren_#=SubjectID#")
                                .Columns(columns =>
                                {
                                    columns.Bound(c => c.Image).Width(100).Sortable(false).Filterable(false).ClientTemplate("\\#=_DisplayImage(Image, 'Subject')\\#");
                                    columns.Bound(c => c.Icon).Width(100).Sortable(false).Filterable(false).ClientTemplate("\\#=_DisplayImage(Icon, 'Subject')\\#");
                                    columns.Bound(c => c.Title);
                                    columns.Bound(c => c.Color).Width(100).Sortable(false).Filterable(false).ClientTemplate("\\#=_DisplayColor(Color)\\#");
                                    columns.Bound(c => c.FontColor).Width(100).Sortable(false).Filterable(false).ClientTemplate("\\#=_DisplayColor(FontColor)\\#");
                                    columns.Command(command => { command.Edit().Text("ویرایش"); command.Destroy().Text("حذف"); }).Width(300);
                                })
                                .ToolBar(toolbar =>
                                {
                                    toolbar.Create().Text("گروه جدید");
                                })
                                .ColumnMenu()
                                .Editable(editable => editable.Mode(GridEditMode.PopUp).Window(q => q.Width(800)))
                                .Pageable(pageable =>
                                    pageable
                                    .Refresh(true)
                                    .Input(true)
                                    .PageSizes(true)
                                    .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                )
                                .Navigatable()
                                .Selectable(selectable =>
                                {
                                    selectable.Mode(GridSelectionMode.Single);
                                    selectable.Type(GridSelectionType.Row);
                                })
                                .Sortable(sortable =>
                                {
                                    sortable.SortMode(GridSortMode.SingleColumn);
                                })
                                .Filterable()
                                .Scrollable(s => s.Height("auto").Enabled(false))
                                .DataSource(dataSource => dataSource
                                    .Ajax()
                                    .Model(model => model.Id(p => p.SubjectID))
                                    .Read(read => read.Action("subjects_Read", "Subjects", new { _ParentID = "#=SubjectID#"}))
                                    .Create(create => create.Action("subjects_Create", "Subjects", new { _ParentID = "#=SubjectID#" }))
                                    .Update(update => update.Action("subjects_Update", "Subjects"))
                                    .Destroy(destroy => destroy.Action("subjects_Destroy", "Subjects"))
                                )
                            .ClientDetailTemplateId("Details-Template")
                            .ToClientTemplate()
                        )
                    </text>
                    );
                    #endregion

                }).ToClientTemplate())
</script>
